local table = require("table")
local chat = message:chat()
assert(chat:id() == 123456789)
assert(chat:title() == "Test Chat")
assert(chat:username() == "testchat")
assert(chat:firstName() == "test")
assert(chat:lastName() == "chat")
assert(chat:allMembersAreAdmins() == false)
assert(chat:description() == "test chat")
assert(chat:inviteLink() == "http://example.com")
assert(chat:isPrivate() == false)
assert(chat:isGroup() == false)
assert(chat:isChannel() == false)
assert(chat:isSuperGroup() == true)
assert(table.getn(chat:admins()) == 0)
assert(chat:smallPhotoId() == nil)
assert(chat:bigPhotoId() == nil)
